## plasma-widget-message-indicator 0.5.4

=== CMakeLists.txt ===
project(plasma-widget-message-indicator)

cmake_minimum_required(VERSION 2.6)

# Find the required libraries
find_package(KDE4 4.4 REQUIRED)
include(KDE4Defaults)
find_package(PkgConfig REQUIRED)
pkg_check_modules(INDICATE REQUIRED indicate>=0.2.1)
pkg_check_modules(INDICATEQT REQUIRED indicate-qt>=0.2.5)
pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt>=0.3.0)

include_directories(
    ${KDE4_INCLUDES}
    ${INDICATE_INCLUDE_DIRS}
    ${INDICATEQT_INCLUDE_DIRS}
    ${DBUSMENUQT_INCLUDE_DIRS}
    )

link_directories(
    ${INDICATEQT_LIBRARY_DIRS}
    ${DBUSMENUQT_LIBRARY_DIRS}
    )

add_subdirectory(src)
add_subdirectory(tests)

# Packaging
set(PROJECT_VERSION "0.5.4")
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    COMMAND gpg --armor --sign --detach-sig  ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    && make check
    )
add_dependencies(distcheck dist)

=== debian/changelog ===
plasma-widget-message-indicator (0.5.4-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Apr 2010 15:12:19 +0100

plasma-widget-message-indicator (0.5.2-0ubuntu2) lucid; urgency=low

  * Missing dependency libdbusmenu-qt-dev added (LP: #539700)

 -- David Sugar <david.sugar@canonical.com>  Tue, 16 Mar 2010 16:50:32 +0000

plasma-widget-message-indicator (0.5.2-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 17:42:46 +0000

plasma-widget-message-indicator (0.5.1-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Feb 2010 18:03:47 +0000

plasma-widget-message-indicator (0.5.0-0ubuntu2) lucid; urgency=low

  * Recompile against new libindicate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Feb 2010 08:48:10 +0000

plasma-widget-message-indicator (0.5.0-0ubuntu1) lucid; urgency=low

  * New upstream release, renamed to plasma-widget-message-indicator
  * Change to source format 3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Jan 2010 12:59:19 +0000

plasma-widget-indicatordisplay (0.4.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Oct 2009 17:13:59 +0100

plasma-widget-indicatordisplay (0.4.1-0ubuntu2) karmic; urgency=low

  * Bump build-depeds to libindicate-qt-dev (>= 0.2.2-0ubuntu2)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 11:40:34 +0100

plasma-widget-indicatordisplay (0.4.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2009 16:21:27 +0100

plasma-widget-indicatordisplay (0.4.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Build-dep on libindicate-qt >= 0.2.1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Sep 2009 12:28:58 +0100

plasma-widget-indicatordisplay (0.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Aug 2009 17:26:51 +0100

plasma-widget-indicatordisplay (0.2.2-0ubuntu2) karmic; urgency=low

  * New upstream release, now properly GPL 3 licenced

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Aug 2009 18:13:44 +0100

plasma-widget-indicatordisplay (0.2.1-0ubuntu1) karmic; urgency=low

  * Initial release

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Wed, 05 Aug 2009 18:15:34 +0100

=== debian/control ===
Source: plasma-widget-message-indicator
Section: kde
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurélien Gâteau <aurelien.gateau@canonical.com>
Build-Depends: cdbs, debhelper (>= 7), cmake, libindicate-qt-dev (>= 0.2.5), kdelibs5-dev, libdbusmenu-qt-dev (>= 0.3.0)
Standards-Version: 3.8.4
Homepage: https://launchpad.net/plasma-widget-message-indicator
Vcs-Bzr: lp:~kubuntu-members/plasma-widget-message-indicator/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/plasma-widget-message-indicator/ubuntu/changes

Package: plasma-widget-message-indicator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-widget-indicatordisplay
Conflicts: plasma-widget-indicatordisplay
Description: A Plasma applet to display message indicators
 A Plasma applet which displays message indicators from libindicate
 enabled applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

#disable until test suite actually passes
#common-post-build-arch::
#	make -C obj-*/tests buildtests
#	make -C obj-*/tests test

=== debian/watch ===
version=3
https://launchpad.net/plasma-widget-message-indicator/+download \
http://launchpad.net/plasma-widget-message-indicator/trunk/\d.\d.\d/\+download/plasma-widget-message-indicator-(.*)\.tar\.bz2

## plasma-widget-message-indicator 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,10 +23,11 @@
     )
 
 add_subdirectory(src)
+add_subdirectory(icons)
 add_subdirectory(tests)
 
 # Packaging
-set(PROJECT_VERSION "0.5.4")
+set(PROJECT_VERSION "0.5.6")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2

=== debian/changelog ===
plasma-widget-message-indicator (0.5.6-0ubuntu3) maverick; urgency=low

  * Add kubuntu_02_fix_text_overlap_in_systemtray.diff to work around text
    overlap in system tray LP: #632419

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Thu, 30 Sep 2010 09:47:14 +0200

plasma-widget-message-indicator (0.5.6-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_fix_translation_domain.diff to create the correct
    translation domain LP: #633432

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Sep 2010 19:44:12 +0100

plasma-widget-message-indicator (0.5.6-0ubuntu1) maverick; urgency=low

  * New upstream release, new icons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Sep 2010 17:26:05 +0100

plasma-widget-message-indicator (0.5.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Jul 2010 10:57:17 +0100

## plasma-widget-message-indicator 0.5.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 find_package(KDE4 4.4 REQUIRED)
 include(KDE4Defaults)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(INDICATE REQUIRED indicate>=0.2.1)
+pkg_check_modules(INDICATE REQUIRED indicate-0.5)
 pkg_check_modules(INDICATEQT REQUIRED indicate-qt>=0.2.5)
 pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt>=0.3.0)
 
@@ -27,11 +27,10 @@
 add_subdirectory(tests)
 
 # Packaging
-set(PROJECT_VERSION "0.5.6")
+set(PROJECT_VERSION "0.5.7")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
-    COMMAND gpg --armor --sign --detach-sig  ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
 add_custom_target(distcheck

=== debian/changelog ===
plasma-widget-message-indicator (0.5.7-0ubuntu2) natty; urgency=low

  * Add kubuntu_indicator_status.diff to fix the indicator icon sometimes
    turning green when clicking on it. (LP: #755537)
  * Add a watch file.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 09 Apr 2011 12:10:56 +0200

plasma-widget-message-indicator (0.5.7-0ubuntu1) natty; urgency=low

  * New upstream release
  * Remove kubuntu_01_fix_translation_domain.diff now upstream
  * Remove kubuntu_02_fix_text_overlap_in_systemtray.diff fixed in library

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Feb 2011 19:17:43 +0000

plasma-widget-message-indicator (0.5.6-0ubuntu5) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:26 +0000

plasma-widget-message-indicator (0.5.6-0ubuntu4) natty; urgency=low

  * Add missing build-depends on pkg-kde-tools

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Dec 2010 01:06:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: plasma-widget-message-indicator
 Section: kde
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Aurélien Gâteau <aurelien.gateau@canonical.com>
-Build-Depends: cdbs, debhelper (>= 7), cmake, libindicate-qt-dev (>= 0.2.5), kdelibs5-dev, libdbusmenu-qt-dev (>= 0.3.0)
-Standards-Version: 3.8.4
+Build-Depends: cdbs, debhelper (>= 7), cmake, libindicate-qt-dev (>= 0.2.5.91), kdelibs5-dev, libdbusmenu-qt-dev (>= 0.3.0), pkg-kde-tools
+Standards-Version: 3.9.1
 Homepage: https://launchpad.net/plasma-widget-message-indicator
 Vcs-Bzr: lp:~kubuntu-members/plasma-widget-message-indicator/ubuntu
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/plasma-widget-message-indicator/ubuntu/changes

## plasma-widget-message-indicator 0.5.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 find_package(KDE4 4.4 REQUIRED)
 include(KDE4Defaults)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(INDICATE REQUIRED indicate-0.5)
+pkg_check_modules(INDICATE REQUIRED indicate-0.6)
 pkg_check_modules(INDICATEQT REQUIRED indicate-qt>=0.2.5)
 pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt>=0.3.0)
 
@@ -27,7 +27,7 @@
 add_subdirectory(tests)
 
 # Packaging
-set(PROJECT_VERSION "0.5.7")
+set(PROJECT_VERSION "0.5.8")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2

=== icons/CMakeLists.txt ===
install(FILES message-indicator.svgz
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(message_indicator_SRCS
    delegate.cpp
    message-indicator.cpp
    listenermodel.cpp
    modeldump.cpp
    timeutils.cpp
    view.cpp
    )

kde4_add_plugin(plasma_applet_message_indicator ${message_indicator_SRCS})

target_link_libraries(plasma_applet_message_indicator
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KIO_LIBS}
    ${INDICATEQT_LIBRARIES}
    ${DBUSMENUQT_LIBRARIES}
    )

install(TARGETS plasma_applet_message_indicator
    DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES
    plasma-applet-message-indicator.desktop
    plasma-applet-indicatordisplay.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

=== tests/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

set(test_LIBRARIES
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTTEST_LIBRARY}
    ${INDICATEQT_LIBRARIES}
    ${DBUSMENUQT_LIBRARIES}
    )

# Hackish, but defining dependencies as "DEPENDS buildtests test" does not
# work :(
add_custom_target(check COMMAND ${CMAKE_BUILD_TOOL} buildtests test)

# listenermodeltest
set(listenermodeltest_SRCS
    listenermodeltest.cpp
    ../src/listenermodel.cpp
    )

kde4_add_unit_test(listenermodeltest ${listenermodeltest_SRCS})

target_link_libraries(listenermodeltest
    ${test_LIBRARIES}
    )

# filtermodeltest
set(filtermodeltest_SRCS
    filtermodeltest.cpp
    ../src/listenermodel.cpp
    )

kde4_add_unit_test(filtermodeltest ${filtermodeltest_SRCS})

target_link_libraries(filtermodeltest
    ${test_LIBRARIES}
    )

# timeutilstest
set(timeutilstest_SRCS
    timeutilstest.cpp
    ../src/timeutils.cpp
    )

kde4_add_unit_test(timeutilstest ${timeutilstest_SRCS})

target_link_libraries(timeutilstest
    ${test_LIBRARIES}
    )

=== debian/changelog ===
plasma-widget-message-indicator (0.5.8-3) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Bump libindicate version check to 0.7.
    - Add kubuntu_libindicate_pkgconfig.diff.
    - Build-depend on libindicate-dev >= 0.6.90.

  [ Evgeni Golov ]
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 May 2012 13:47:36 +0200

plasma-widget-message-indicator (0.5.8-2) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Bump debhelper build-dependency to >= 9.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 21 Feb 2012 19:39:28 +0100

plasma-widget-message-indicator (0.5.8-1) experimental; urgency=low

  * Upload to Debian. (Closes: #645508)
  * Set Maintainer to pkg-ayatana and add myself as uploader.
  * Change priority to optional.
  * Update Vcs control fields.
  * Drop Replaces/Conflicts plasma-widget-indicatordisplay.
  * Rename kubuntu_indicator_status.diff to indicator_status.diff.
  * Switch to debhelper compat level v9 which exports build flags.
  * Add myself to the copyright file.
  * Improve package description.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 16 Oct 2011 23:16:27 +0200

plasma-widget-message-indicator (0.5.8-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes crash when starting Thunderbird or Evolution. (LP: #631794)
  * Drop kubuntu_libindicate_06.diff, applied upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 01 Sep 2011 18:46:10 +0200

plasma-widget-message-indicator (0.5.7-0ubuntu3) oneiric; urgency=low

  * Switch from cdbs to dh(1). (LP: #829768)
  * Build-depend on pkg-config. (LP: #829490)
  * Bump libindicate version check to 0.6.
    - Add 02_libindicate_06.diff
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Update Vcs control fields.
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 19 Aug 2011 21:23:47 +0200

=== debian/control ===
Source: plasma-widget-message-indicator
Section: kde
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 9),
               cmake,
               libindicate-dev (>= 0.6.90),
               libindicate-qt-dev (>= 0.2.5.91),
               kdelibs5-dev,
               libdbusmenu-qt-dev (>= 0.3.0),
               pkg-kde-tools,
               pkg-config
Standards-Version: 3.9.3
Homepage: https://launchpad.net/plasma-widget-message-indicator
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/plasma-widget-message-indicator/debian
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/plasma-widget-message-indicator/debian

Package: plasma-widget-message-indicator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plasma widget to display message indicators
 A Plasma widget which displays messages from message-indicator enabled
 applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel

override_dh_auto_test:
	# disabled, require a dbus server

=== debian/watch ===
version=3
http://launchpad.net/plasma-widget-message-indicator/+download .*/plasma-widget-message-indicator-([0-9.]+)\.tar\.(?:gz|bz2)
